classification
Title: config/ld_so_aix not found: old dir name
Type: compile error Stage: resolved
Components: Distutils Versions: Python 3.2, Python 3.3, Python 3.4, Python 3.5
process
Status: closed Resolution: duplicate
Dependencies: Superseder: AIX shared library extension modules installation broken
View: 25825
Assigned To: eric.araujo Nosy List: barry, eric.araujo, haubi, martin.panter, rjs, tarek, trent
Priority: normal Keywords: patch

Created on 2012-10-10 15:52 by rjs, last changed 2017-01-13 21:30 by martin.panter. This issue is now closed.

Files
File name Uploaded Description Edit
issue16189-distutils-do-not-find-ld_so_aix.patch haubi, 2014-06-04 06:30 patch for 3.4
Repositories containing patches
http://hg.code.sf.net/p/prefix-launcher/cpython#issue16189
Messages (5)
msg172588 - (view) Author: Rainer Schaaf (rjs) Date: 2012-10-10 15:52
When building an extension on AIX with distutils the build fails like this:

/usr/local/lib/python3.3/config/ld_so_aix xlc_r -bI:/usr/local/lib/python3.3/config/python.exp build/temp.aix-5.3-3.3/pdflib_py.o -L../../../libs/pdflib/.libs -L../../../libs/icu/lib -ls_libpdf -lC -o build/lib.aix-5.3-3.3/pdflib_py.so
unable to execute /usr/local/lib/python3.3/config/ld_so_aix: No such file or directory
error: command '/usr/local/lib/python3.3/config/ld_so_aix' failed with exit status 1

The problem can easily be fixed by:

ln -s /usr/local/lib/python3.3/config-3.3m  /usr/local/lib/python3.3/config
msg172590 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-10-10 16:13
This probably happens in 3.2 too, where the ABI suffixes were added.  I think Barry edited the sysconfig module to let it find config-$suffixes but not distutils.sysconfig.
msg172598 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2012-10-10 18:00
On Oct 10, 2012, at 04:13 PM, Éric Araujo wrote:

>This probably happens in 3.2 too, where the ABI suffixes were added.  I think
>Barry edited the sysconfig module to let it find config-$suffixes but not
>distutils.sysconfig.

This sure smells familiar, like I've fixed this some place before.  But I
can't find it, in either the py32 news or in the Ubuntu package changelogs.
msg219741 - (view) Author: Michael Haubenwallner (haubi) * Date: 2014-06-04 06:30
Problem here is that LDSHARED points to $(BINLIBDEST)/config/ld_so_aix, but it should be $(LIBPL)/ld_so_aix.

Although an independent problem, this diff shares context with file#35476, so this patch depends on issue #10656.
msg276267 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-09-13 13:36
Closing this assuming that revision ca1ddd365f5f (committed to 3.5 and 3.6+ branches) fixed it.
History
Date User Action Args
2017-01-13 21:30:20martin.pantersettitle: ld_so_aix not found -> config/ld_so_aix not found: old dir name
2016-09-13 13:36:48martin.pantersetstatus: open -> closed

superseder: AIX shared library extension modules installation broken

nosy: + martin.panter
messages: + msg276267
resolution: duplicate
stage: resolved
2014-06-06 11:26:48haubisethgrepos: + hgrepo253
2014-06-04 06:30:57haubisethgrepos: - hgrepo247
2014-06-04 06:30:43haubisetfiles: + issue16189-distutils-do-not-find-ld_so_aix.patch
keywords: + patch
messages: + msg219741

versions: + Python 3.4, Python 3.5
2014-06-03 09:29:34haubisethgrepos: + hgrepo247
2014-06-02 15:02:21haubisetnosy: + haubi
2012-10-10 19:10:01pitrousetnosy: + trent
2012-10-10 18:00:40barrysetmessages: + msg172598
2012-10-10 16:13:36eric.araujosetnosy: + barry

messages: + msg172590
versions: + Python 3.2
2012-10-10 15:52:40rjscreate